[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# Register

Registers TPersistent classes for use in the RTL.

## Declaration

Source position: graphics.pp line 2059

`procedure Register;`

## Description

Register calls RegisterClasses to add the following persistent objects to the list of classes available in the RTL:

- TBitmap
- TPixmap
- TPortableNetworkGraphic
- TPortableAnyMapGraphic (When DisableLCLPNM is not defined)
- TJpegImage (When DisableLCLJPEGis not defined)
- TGIFImage (When DisableLCLGIF is not defined)
- TPicture
- TFont
- TPen
- TBrush
- TRegion

## See also

RegisterClasses
RegisterClass